<mat-card class="user-info">
  <p>Hello, {{Player.first}}!</p>
  <p>
      <a routerLink="/">Logout</a>
  </p>
</mat-card>

<mat-card class="chess-board">
  <mat-card class="chess-board-border">
    <table class="piece-table">
      <tr>
        <th (click)="SelectPiece('A1')" id="A1">
          <img *ngIf="board.tiles[0][0] != null && board.tiles[0][0].color != ''" src="../../../assets/sprites/{{board.tiles[0][0].name}}{{board.tiles[0][0].color}}.png"
            alt="A1">
        </th>
        <th (click)="SelectPiece('A2')" id="A2">
          <img *ngIf="board.tiles[0][1] != null && board.tiles[0][1].color != ''" src="../../../assets/sprites/{{board.tiles[0][1].name}}{{board.tiles[0][1].color}}.png"
            alt="A2">
        </th>
        <th (click)="SelectPiece('A3')" id="A3">
          <img *ngIf="board.tiles[0][2] != null && board.tiles[0][2].color != ''" src="../../../assets/sprites/{{board.tiles[0][2].name}}{{board.tiles[0][2].color}}.png"
            alt="A3">
        </th>
        <th (click)="SelectPiece('A4')" id="A4">
          <img *ngIf="board.tiles[0][3] != null && board.tiles[0][3].color != ''" src="../../../assets/sprites/{{board.tiles[0][3].name}}{{board.tiles[0][3].color}}.png"
            alt="A4">
        </th>
        <th (click)="SelectPiece('A5')" id="A5">
          <img *ngIf="board.tiles[0][4] != null && board.tiles[0][4].color != ''" src="../../../assets/sprites/{{board.tiles[0][4].name}}{{board.tiles[0][4].color}}.png"
            alt="A5">
        </th>
        <th (click)="SelectPiece('A6')" id="A6">
          <img *ngIf="board.tiles[0][5] != null && board.tiles[0][5].color != ''" src="../../../assets/sprites/{{board.tiles[0][5].name}}{{board.tiles[0][5].color}}.png"
            alt="A6">
        </th>
        <th (click)="SelectPiece('A7')" id="A7">
          <img *ngIf="board.tiles[0][6] != null && board.tiles[0][6].color != ''" src="../../../assets/sprites/{{board.tiles[0][6].name}}{{board.tiles[0][6].color}}.png"
            alt="A7">
        </th>
        <th (click)="SelectPiece('A8')" id="A8">
          <img *ngIf="board.tiles[0][7] != null && board.tiles[0][7].color != ''" src="../../../assets/sprites/{{board.tiles[0][7].name}}{{board.tiles[0][7].color}}.png"
            alt="A8">
        </th>
      </tr>
      <tr>
        <th (click)="SelectPiece('B1')" id="B1">
          <img *ngIf="board.tiles[1][0] != null && board.tiles[1][0].color != ''" src="../../../assets/sprites/{{board.tiles[1][0].name}}{{board.tiles[1][0].color}}.png"
            alt="B1">
        </th>
        <th (click)="SelectPiece('B2')" id="B2">
          <img *ngIf="board.tiles[1][1] != null && board.tiles[1][1].color != ''" src="../../../assets/sprites/{{board.tiles[1][1].name}}{{board.tiles[1][1].color}}.png"
            alt="B2">
        </th>
        <th (click)="SelectPiece('B3')" id="B3">
          <img *ngIf="board.tiles[1][2] != null && board.tiles[1][2].color != ''" src="../../../assets/sprites/{{board.tiles[1][2].name}}{{board.tiles[1][2].color}}.png"
            alt="B3">
        </th>
        <th (click)="SelectPiece('B4')" id="B4">
          <img *ngIf="board.tiles[1][3] != null && board.tiles[1][3].color != ''" src="../../../assets/sprites/{{board.tiles[1][3].name}}{{board.tiles[1][3].color}}.png"
            alt="B4">
        </th>
        <th (click)="SelectPiece('B5')" id="B5">
          <img *ngIf="board.tiles[1][4] != null && board.tiles[1][4].color != ''" src="../../../assets/sprites/{{board.tiles[1][4].name}}{{board.tiles[1][4].color}}.png"
            alt="B5">
        </th>
        <th (click)="SelectPiece('B6')" id="B6">
          <img *ngIf="board.tiles[1][5] != null && board.tiles[1][5].color != ''" src="../../../assets/sprites/{{board.tiles[1][5].name}}{{board.tiles[1][5].color}}.png"
            alt="B6">
        </th>
        <th (click)="SelectPiece('B7')" id="B7">
          <img *ngIf="board.tiles[1][6] != null && board.tiles[1][6].color != ''" src="../../../assets/sprites/{{board.tiles[1][6].name}}{{board.tiles[1][6].color}}.png"
            alt="B7">
        </th>
        <th (click)="SelectPiece('B8')" id="B8">
          <img *ngIf="board.tiles[1][7] != null && board.tiles[1][7].color != ''" src="../../../assets/sprites/{{board.tiles[1][7].name}}{{board.tiles[1][7].color}}.png"
            alt="B8">
        </th>
      </tr>
      <tr>
        <th (click)="SelectPiece('C1')" id="C1">
          <img *ngIf="board.tiles[2][0] !== nul && board.tiles[2][0].color != ''l" src="../../../assets/sprites/{{board.tiles[2][0].name}}{{board.tiles[2][0].color}}.png"
            alt="A1">
        </th>
        <th (click)="SelectPiece('C2')" id="C2">
          <img *ngIf="board.tiles[2][1] != null && board.tiles[2][1].color != ''" src="../../../assets/sprites/{{board.tiles[2][1].name}}{{board.tiles[2][1].color}}.png"
            alt="A1">
        </th>
        <th (click)="SelectPiece('C3')" id="C3">
          <img *ngIf="board.tiles[2][2] != null && board.tiles[2][2].color != ''" src="../../../assets/sprites/{{board.tiles[2][2].name}}{{board.tiles[2][2].color}}.png"
            alt="A1">
        </th>
        <th (click)="SelectPiece('C4')" id="C4">
          <img *ngIf="board.tiles[2][3] != null && board.tiles[2][3].color != ''" src="../../../assets/sprites/{{board.tiles[2][3].name}}{{board.tiles[2][3].color}}.png"
            alt="A1">
        </th>
        <th (click)="SelectPiece('C5')" id="C5">
          <img *ngIf="board.tiles[2][4] != null && board.tiles[2][4].color != ''" src="../../../assets/sprites/{{board.tiles[2][4].name}}{{board.tiles[2][4].color}}.png"
            alt="A1">
        </th>
        <th (click)="SelectPiece('C6')" id="C6">
          <img *ngIf="board.tiles[2][5] != null && board.tiles[2][5].color != ''" src="../../../assets/sprites/{{board.tiles[2][5].name}}{{board.tiles[2][5].color}}.png"
            alt="A1">
        </th>
        <th (click)="SelectPiece('C7')" id="C7">
          <img *ngIf="board.tiles[2][6] != null && board.tiles[2][6].color != ''" src="../../../assets/sprites/{{board.tiles[2][6].name}}{{board.tiles[2][6].color}}.png"
            alt="A1">
        </th>
        <th (click)="SelectPiece('C8')" id="C8">
          <img *ngIf="board.tiles[2][7] != null && board.tiles[2][7].color != ''" src="../../../assets/sprites/{{board.tiles[2][7].name}}{{board.tiles[2][7].color}}.png"
            alt="A1">
        </th>
      </tr>
      <tr>
        <th (click)="SelectPiece('D1')" id="D1">
          <img *ngIf="board.tiles[3][0] != null && board.tiles[3][0].color != ''" src="../../../assets/sprites/{{board.tiles[3][0].name}}{{board.tiles[3][0].color}}.png"
            alt="A1">
        </th>
        <th (click)="SelectPiece('D2')" id="D2">
          <img *ngIf="board.tiles[3][1] != null && board.tiles[3][1].color != ''" src="../../../assets/sprites/{{board.tiles[3][1].name}}{{board.tiles[3][1].color}}.png"
            alt="A1">
        </th>
        <th (click)="SelectPiece('D3')" id="D3">
          <img *ngIf="board.tiles[3][2] != null && board.tiles[3][2].color != ''" src="../../../assets/sprites/{{board.tiles[3][2].name}}{{board.tiles[3][2].color}}.png"
            alt="A1">
        </th>
        <th (click)="SelectPiece('D4')" id="D4">
          <img *ngIf="board.tiles[3][3] != null && board.tiles[3][3].color != ''" src="../../../assets/sprites/{{board.tiles[3][3].name}}{{board.tiles[3][3].color}}.png"
            alt="A1">
        </th>
        <th (click)="SelectPiece('D5')" id="D5">
          <img *ngIf="board.tiles[3][4] != null && board.tiles[3][4].color != ''" src="../../../assets/sprites/{{board.tiles[3][4].name}}{{board.tiles[3][4].color}}.png"
            alt="A1">
        </th>
        <th (click)="SelectPiece('D6')" id="D6">
          <img *ngIf="board.tiles[3][5] != null && board.tiles[3][5].color != ''" src="../../../assets/sprites/{{board.tiles[3][5].name}}{{board.tiles[3][5].color}}.png"
            alt="A1">
        </th>
        <th (click)="SelectPiece('D7')" id="D7">
          <img *ngIf="board.tiles[3][6] != null && board.tiles[3][6].color != ''" src="../../../assets/sprites/{{board.tiles[3][6].name}}{{board.tiles[3][6].color}}.png"
            alt="A1">
        </th>
        <th (click)="SelectPiece('D8')" id="D8">
          <img *ngIf="board.tiles[3][7] != null && board.tiles[3][7].color != ''" src="../../../assets/sprites/{{board.tiles[3][7].name}}{{board.tiles[3][7].color}}.png"
            alt="A1">
        </th>
      </tr>
      <tr>
        <th (click)="SelectPiece('E1')" id="E1">
          <img *ngIf="board.tiles[4][0] != null && board.tiles[4][0].color != ''" src="../../../assets/sprites/{{board.tiles[4][0].name}}{{board.tiles[4][0].color}}.png"
            alt="A1">
        </th>
        <th (click)="SelectPiece('E2')" id="E2">
          <img *ngIf="board.tiles[4][1] != null && board.tiles[4][1].color != ''" src="../../../assets/sprites/{{board.tiles[4][1].name}}{{board.tiles[4][1].color}}.png"
            alt="A1">
        </th>
        <th (click)="SelectPiece('E3')" id="E3">
          <img *ngIf="board.tiles[4][2] != null && board.tiles[4][2].color != ''" src="../../../assets/sprites/{{board.tiles[4][2].name}}{{board.tiles[4][2].color}}.png"
            alt="A1">
        </th>
        <th (click)="SelectPiece('E4')" id="E4">
          <img *ngIf="board.tiles[4][3] != null && board.tiles[4][3].color != ''" src="../../../assets/sprites/{{board.tiles[4][3].name}}{{board.tiles[4][3].color}}.png"
            alt="A1">
        </th>
        <th (click)="SelectPiece('E5')" id="E5">
          <img *ngIf="board.tiles[4][4] != null && board.tiles[4][4].color != ''" src="../../../assets/sprites/{{board.tiles[4][4].name}}{{board.tiles[4][4].color}}.png"
            alt="A1">
        </th>
        <th (click)="SelectPiece('E6')" id="E6">
          <img *ngIf="board.tiles[4][5] != null && board.tiles[4][5].color != ''" src="../../../assets/sprites/{{board.tiles[4][5].name}}{{board.tiles[4][5].color}}.png"
            alt="A1">
        </th>
        <th (click)="SelectPiece('E7')" id="E7">
          <img *ngIf="board.tiles[4][6] != null && board.tiles[4][6].color != ''" src="../../../assets/sprites/{{board.tiles[4][6].name}}{{board.tiles[4][6].color}}.png"
            alt="A1">
        </th>
        <th (click)="SelectPiece('E8')" id="E8">
          <img *ngIf="board.tiles[4][7] != null && board.tiles[4][7].color != ''" src="../../../assets/sprites/{{board.tiles[4][7].name}}{{board.tiles[4][7].color}}.png"
            alt="A1">
        </th>
      </tr>
      <tr>
        <th (click)="SelectPiece('F1')" id="F1">
          <img *ngIf="board.tiles[5][0] != null && board.tiles[5][0].color != ''" src="../../../assets/sprites/{{board.tiles[5][0].name}}{{board.tiles[5][0].color}}.png"
            alt="A1">
        </th>
        <th (click)="SelectPiece('F2')" id="F2">
          <img *ngIf="board.tiles[5][1] != null && board.tiles[5][1].color != ''" src="../../../assets/sprites/{{board.tiles[5][1].name}}{{board.tiles[5][1].color}}.png"
            alt="A1">
        </th>
        <th (click)="SelectPiece('F3')" id="F3">
          <img *ngIf="board.tiles[5][2] != null && board.tiles[5][2].color != ''" src="../../../assets/sprites/{{board.tiles[5][2].name}}{{board.tiles[5][2].color}}.png"
            alt="A1">
        </th>
        <th (click)="SelectPiece('F4')" id="F4">
          <img *ngIf="board.tiles[5][3] != null && board.tiles[5][3].color != ''" src="../../../assets/sprites/{{board.tiles[5][3].name}}{{board.tiles[5][3].color}}.png"
            alt="A1">
        </th>
        <th (click)="SelectPiece('F5')" id="F5">
          <img *ngIf="board.tiles[5][4] != null && board.tiles[5][4].color != ''" src="../../../assets/sprites/{{board.tiles[5][4].name}}{{board.tiles[5][4].color}}.png"
            alt="A1">
        </th>
        <th (click)="SelectPiece('F6')" id="F6">
          <img *ngIf="board.tiles[5][5] != null && board.tiles[5][5].color != ''" src="../../../assets/sprites/{{board.tiles[5][5].name}}{{board.tiles[5][5].color}}.png"
            alt="A1">
        </th>
        <th (click)="SelectPiece('F7')" id="F7">
          <img *ngIf="board.tiles[5][6] != null && board.tiles[5][6].color != ''" src="../../../assets/sprites/{{board.tiles[5][6].name}}{{board.tiles[5][6].color}}.png"
            alt="A1">
        </th>
        <th (click)="SelectPiece('F8')" id="F8">
          <img *ngIf="board.tiles[5][7] != null && board.tiles[5][7].color != ''" src="../../../assets/sprites/{{board.tiles[5][7].name}}{{board.tiles[5][7].color}}.png"
            alt="A1">
        </th>
      </tr>
      <tr>
        <th (click)="SelectPiece('G1')" id="G1">
          <img *ngIf="board.tiles[6][0] != null && board.tiles[6][0].color != ''" src="../../../assets/sprites/{{board.tiles[6][0].name}}{{board.tiles[6][0].color}}.png"
            alt="A1">
        </th>
        <th (click)="SelectPiece('G2')" id="G2">
          <img *ngIf="board.tiles[6][1] != null && board.tiles[6][1].color != ''" src="../../../assets/sprites/{{board.tiles[6][1].name}}{{board.tiles[6][1].color}}.png"
            alt="A1">
        </th>
        <th (click)="SelectPiece('G3')" id="G3">
          <img *ngIf="board.tiles[6][2] != null && board.tiles[6][2].color != ''" src="../../../assets/sprites/{{board.tiles[6][2].name}}{{board.tiles[6][2].color}}.png"
            alt="A1">
        </th>
        <th (click)="SelectPiece('G4')" id="G4">
          <img *ngIf="board.tiles[6][3] != null && board.tiles[6][3].color != ''" src="../../../assets/sprites/{{board.tiles[6][3].name}}{{board.tiles[6][3].color}}.png"
            alt="A1">
        </th>
        <th (click)="SelectPiece('G5')" id="G5">
          <img *ngIf="board.tiles[6][4] != null && board.tiles[6][4].color != ''" src="../../../assets/sprites/{{board.tiles[6][4].name}}{{board.tiles[6][4].color}}.png"
            alt="A1">
        </th>
        <th (click)="SelectPiece('G6')" id="G6">
          <img *ngIf="board.tiles[6][5] != null && board.tiles[6][5].color != ''" src="../../../assets/sprites/{{board.tiles[6][5].name}}{{board.tiles[6][5].color}}.png"
            alt="A1">
        </th>
        <th (click)="SelectPiece('G7')" id="G7">
          <img *ngIf="board.tiles[6][6] != null && board.tiles[6][6].color != ''" src="../../../assets/sprites/{{board.tiles[6][6].name}}{{board.tiles[6][6].color}}.png"
            alt="A1">
        </th>
        <th (click)="SelectPiece('G8')" id="G8">
          <img *ngIf="board.tiles[6][7] != null && board.tiles[6][7].color != ''" src="../../../assets/sprites/{{board.tiles[6][7].name}}{{board.tiles[6][7].color}}.png"
            alt="A1">
        </th>
      </tr>
      <tr>
        <th (click)="SelectPiece('H1')" id="H1">
          <img *ngIf="board.tiles[7][0] != null && board.tiles[7][0].color != ''" src="../../../assets/sprites/{{board.tiles[7][0].name}}{{board.tiles[7][0].color}}.png"
            alt="A1">
        </th>
        <th (click)="SelectPiece('H2')" id="H2">
          <img *ngIf="board.tiles[7][1] != null && board.tiles[7][1].color != ''" src="../../../assets/sprites/{{board.tiles[7][1].name}}{{board.tiles[7][1].color}}.png"
            alt="A1">
        </th>
        <th (click)="SelectPiece('H3')" id="H3">
          <img *ngIf="board.tiles[7][2] != null && board.tiles[7][2].color != ''" src="../../../assets/sprites/{{board.tiles[7][2].name}}{{board.tiles[7][2].color}}.png"
            alt="A1">
        </th>
        <th (click)="SelectPiece('H4')" id="H4">
          <img *ngIf="board.tiles[7][3] != null && board.tiles[7][3].color != ''" src="../../../assets/sprites/{{board.tiles[7][3].name}}{{board.tiles[7][3].color}}.png"
            alt="A1">
        </th>
        <th (click)="SelectPiece('H5')" id="H5">
          <img *ngIf="board.tiles[7][4] != null && board.tiles[7][4].color != ''" src="../../../assets/sprites/{{board.tiles[7][4].name}}{{board.tiles[7][4].color}}.png"
            alt="A1">
        </th>
        <th (click)="SelectPiece('H6')" id="H6">
          <img *ngIf="board.tiles[7][5] != null && board.tiles[7][5].color != ''" src="../../../assets/sprites/{{board.tiles[7][5].name}}{{board.tiles[7][5].color}}.png"
            alt="A1">
        </th>
        <th (click)="SelectPiece('H7')" id="H7">
          <img *ngIf="board.tiles[7][6] != null && board.tiles[7][6].color != ''" src="../../../assets/sprites/{{board.tiles[7][6].name}}{{board.tiles[7][6].color}}.png"
            alt="A1">
        </th>
        <th (click)="SelectPiece('H8')" id="H8">
          <img *ngIf="board.tiles[7][7] != null && board.tiles[7][7].color != ''" src="../../../assets/sprites/{{board.tiles[7][7].name}}{{board.tiles[7][7].color}}.png"
            alt="A1">
        </th>
      </tr>
    </table>
  </mat-card>


  <div class="navigation">
    <button mat-raised-button class="button-rounded-move" (click)="SendMove()" [disabled]="!MoveSelected">make move</button>
    <button mat-raised-button class="button-rounded-reset" (click)="ResetMove()" [disabled]="!MoveSelected">reset</button>
  </div>
</mat-card>

<mat-card class="preview" *ngIf="MovePreview != ''">{{MovePreview}}</mat-card>
<mat-card class="preview" *ngIf="NotAllowedDialog != ''">{{NotAllowedDialog}}</mat-card>
